import { Tooltip, TYIcon } from '@tingwu/design';
import { memo } from 'react';

export interface CopyOperateProps {
  copyCb: any;
}

export const CopyOperate = memo((props: CopyOperateProps) => {
  return (
    <Tooltip title="复制" overlayClassName="tingwu2-tips">
      <TYIcon
        type="tongyi-copy-line"
        className="icon-item"
        onClick={() => {
          props.copyCb();
        }}
      />
    </Tooltip>
  );
});
